Package org.eclipse.emf.cdo.spi.server

## Class DurableLockArea

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.DurableLockArea

- All Implemented Interfaces:
    `CDOBranchPoint`, `CDOBranchProvider`, `IDurableLockingManager.LockArea`, `CDOTimeProvider`

      @Deprecated
      public class DurableLockArea
      extends java.lang.Object
      implements IDurableLockingManager.LockArea

  Deprecated.
  Use `CDOLockUtil.createLockArea(String, String, CDOBranchPoint, boolean, Map)` instead
  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager.LockArea

      `IDurableLockingManager.LockArea.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_DURABLE_LOCKING_ID_BYTES` | Deprecated.

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DurableLockArea​(java.lang.String durableLockingID, java.lang.String userID, CDOBranchPoint branchPoint, boolean readOnly, java.util.Map<CDOID,​IDurableLockingManager.LockGrade> locks)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `createDurableLockingID()` | Deprecated.
    `static java.lang.String` | `createDurableLockingID​(int bytes)` | Deprecated.
    `CDOBranch` | `getBranch()` | Deprecated. Returns the branch of this branch point, or `null` if this branch point is the `base` of the `main branch`.
    `java.lang.String` | `getDurableLockingID()` | Deprecated.
    `java.util.Map<CDOID,​IDurableLockingManager.LockGrade>` | `getLocks()` | Deprecated.
    `long` | `getTimeStamp()` | Deprecated. Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.
    `java.lang.String` | `getUserID()` | Deprecated.
    `boolean` | `isMissing()` | Deprecated. Returns `true` if this instance represents a lock area that is known to be missing (not present) on a master server.
    `boolean` | `isReadOnly()` | Deprecated.
    `java.lang.String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DURABLE_LOCKING_ID_BYTES

          public static final int DEFAULT_DURABLE_LOCKING_ID_BYTES

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DurableLockArea

          public DurableLockArea​(java.lang.String durableLockingID,
                                 java.lang.String userID,
                                 CDOBranchPoint branchPoint,
                                 boolean readOnly,
                                 java.util.Map<CDOID,​IDurableLockingManager.LockGrade> locks)

      Deprecated.

  - ### Method Detail

    - #### getDurableLockingID

          public java.lang.String getDurableLockingID()

      Deprecated.
      Specified by:
        `getDurableLockingID` in interface `IDurableLockingManager.LockArea`

    - #### getUserID

          public java.lang.String getUserID()

      Deprecated.
      Specified by:
        `getUserID` in interface `IDurableLockingManager.LockArea`

    - #### getBranch

          public CDOBranch getBranch()

      Deprecated.
      Description copied from interface: `CDOBranchPoint`
      Returns the branch of this branch point, or `null` if this branch point is the `base` of the `main branch`.
      Specified by:
        `getBranch` in interface `CDOBranchPoint`
      Specified by:
        `getBranch` in interface `CDOBranchProvider`

    - #### getTimeStamp

          public long getTimeStamp()

      Deprecated.
      Description copied from interface: `CDOBranchPoint`
      Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.
      Specified by:
        `getTimeStamp` in interface `CDOBranchPoint`
      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`

    - #### isReadOnly

          public boolean isReadOnly()

      Deprecated.
      Specified by:
        `isReadOnly` in interface `IDurableLockingManager.LockArea`

    - #### getLocks

          public java.util.Map<CDOID,​IDurableLockingManager.LockGrade> getLocks()

      Deprecated.
      Specified by:
        `getLocks` in interface `IDurableLockingManager.LockArea`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### createDurableLockingID

          public static java.lang.String createDurableLockingID()

      Deprecated.

    - #### createDurableLockingID

          public static java.lang.String createDurableLockingID​(int bytes)

      Deprecated.

    - #### isMissing

          public boolean isMissing()

      Deprecated.
      Description copied from interface: `IDurableLockingManager.LockArea`
      Returns `true` if this instance represents a lock area that is known to be missing (not present) on a master server. (Relevant only in a replicating configuration.)
      Specified by:
        `isMissing` in interface `IDurableLockingManager.LockArea`
      Since:
        4.1